package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.TestdefdbRepository;
import com.realnet.basicp1.Entity.Testdefdb
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import com.realnet.Notification.Entity.NotificationService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;




























	import org.springframework.stereotype.Service;

@Service
 public class TestdefdbService {
@Autowired
private TestdefdbRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;



























public Testdefdb Savedata(Testdefdb data) {




























	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Testdefdb save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Testdefdb> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Testdefdb> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Testdefdb> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Testdefdb getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Testdefdb update(Testdefdb data,Integer id) {
	Testdefdb old = Repository.findById(id).get();
old.setName(data.getName());

old.setDescription(data.getDescription());

old.setPhones(data.getPhones());

old.setDatetimes(data.getDatetimes());

old.setDates(data.getDates());

old.setEmails(data.getEmails());

old.setPasswos(data.getPasswos());

old.setToggles (data.isToggles());

old.setUrls(data.getUrls());

old.setParagraphs(data.getParagraphs());

old.setTextarea(data.getTextarea());

old.setText_field(data.getText_field());

old.setPercentage_field(data.getPercentage_field());

old.setPercentages(data.getPercentages());

final Testdefdb test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 




























 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
